import { ElementRef, Injector, Type } from '@angular/core';
import { NodeViewProps } from '@tiptap/core';
import * as i0 from "@angular/core";
export declare class AngularNodeViewComponent implements NodeViewProps {
    editor: NodeViewProps['editor'];
    node: NodeViewProps['node'];
    decorations: NodeViewProps['decorations'];
    selected: NodeViewProps['selected'];
    extension: NodeViewProps['extension'];
    getPos: NodeViewProps['getPos'];
    updateAttributes: NodeViewProps['updateAttributes'];
    deleteNode: NodeViewProps['deleteNode'];
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularNodeViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularNodeViewComponent, "ng-component", never, { "editor": "editor"; "node": "node"; "decorations": "decorations"; "selected": "selected"; "extension": "extension"; "getPos": "getPos"; "updateAttributes": "updateAttributes"; "deleteNode": "deleteNode"; }, {}, never, never>;
}
export declare class AngularRenderer<C extends AngularNodeViewComponent> {
    private applicationRef;
    private componentRef;
    constructor(component: Type<C>, injector: Injector, props: NodeViewProps);
    get instance(): C;
    get elementRef(): ElementRef;
    get dom(): HTMLElement;
    updateProps<T extends NodeViewProps>(props: Partial<T>): void;
    detectChanges(): void;
    destroy(): void;
}
